Subject: FW: Does anyone need a separate set of tagsfor"jurisdictional"vs"postal locations"?wasRE:[Geopriv]draft-ietf-geopriv-http-location-delivery-01.txt

From: "Marc Linsner" <[email-masked]>
Date: Wed, 8 Aug 2007 15:50:23 -0400

Jerome, 

> The problem is I don't know that I'll be able to cross-reference. It 
> will depend on potential conflicts (to be confirmed, see thread with 
> Brian)...
> 

If you can't cross-reference, then how would the customer get BB service in
the first place?

My reference to 'common use' address equates to the location the end-user
utilizes everyday for package delivery, service technician, etc.  If your
'SAG' address differs from 'common use' address, you have to be able to
cross reference it, or the customer agrees to use multiple addresses.

-Marc-

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Marc Linsner" <[email-masked]>
Date: Mon, 13 Aug 2007 20:53:16 -0400

Jerome,

I've been trying to avoid a repeat of this same discussion ~3 years ago
during i2.  But I'll go a bit farther.

Joe Citizen typically uses what I'm referring to a 'common use' address for
his home such that any of the following: 
Domino's Pizza; the Sears repairman; Fedex; UPS; DHL;, etc. can perform
their respective services.

I understand MSAG in the US.  I was a part of creating some of it, I know
why it was created.  Since that time, the majority of the problems MSAG
'solved' for emergency responders have been fixed and are in use by those
cited above.  I'm predicting that jurisdictions that still warrant using
MSAG due to the original issue are several decimal places less than 1%.  If
Joe is part of that very small percentage, then Joe doesn't care, or even
know about, such 'common use' address, give him the SAG address.

With the advent of consumer gps systems, Joe Citizen has now been introduced
to a geo description of his location.  What I'm trying to avoid is Joe
Citizen having to deal with a third method of describing his location (MSAG,
SAG, etc.).  To date Joe has been oblivious to such mechanisms.  If we
create a LO that carries MSAG, why not add the parcel ID that the tax
collector uses? or the sewer connector id that the sanitary provider uses?
or a pedestal/pole number that Bell Canada uses?  The point is obviously
that the 'common use' address is the key into each unique provider's
database where additional information can be found, none of which is
important to Joe.

If in fact you are able to take Joe's 'common use' address and convert it to
SAG for use by the emergency responders, do that, but don't force Joe to
carry around/understand such information.

If you can convert the 'common use' to SAG on validation, you can do it
again for routing, and yet again for dispatch.  Yeah, that is a slight twist
of the legacy term 'validation', but it works.  If you can't 'validate'
Joe's 'common use' address, can't cross reference it to a SAG, then tell Joe
to try again, don't validate it.

-Marc-

> 
> What Bell Canada does is that when we capture the service 
> address of a subscriber, we validate it against our 
> jurisdiction-based SAG. Since the municipality in which the 
> subscriber resides uses a defined addressing system, I would 
> think that the subscriber would often be aware of its 
> jurisdictional address and therefore would be comfortable 
> with the address that we captured (I'm only assuming here). 
> So this address might typically fall in that 'common use' 
> address you're talking about. If we're provided with a 
> straight PO Box, then I would think that we'd reject the 
> address and - I don't know the exact process though - we'd 
> probably check back with the subscriber to capture his more 
> precise 'service' address.
> 
> The answer I'm seeking - but it'll take some time to get it - 
> is if we used our jurisdiction (also read "precise") address 
> to send this subscriber a bill for example, would it always 
> go to the right destination, all across Canada?
> 
> If that's the case, then there might not be any harm in 
> always using the jurisdictional civic format in Canada (so no 
> need to distinguish both), even for future applications that 
> would make use of the postal system. By doing this however, I 
> might be restricting applications that actually want to 
> capture the non-precise address (plain postal) for some 
> reason... so I don't know...
> 
> Jérôme
> 
> -----Message d'origine-----
> De : Marc Linsner [mailto:[email-masked]] Envoyé : 8 août 
> 2007 15:46 À : Grenier, Jerome (6002687) Objet : RE: Does 
> anyone need a separate set of 
> tagsfor"jurisdictional"vs"postal 
> locations"?wasRE:[Geopriv]draft-ietf-geopriv-http-location-del
> ivery-01.txt
> 
> Jerome, 
> 
> If you can't cross-reference, then how would the customer get 
> BB service in the first place?
> 
> My reference to 'common use' address equates to the location 
> the end-user utilizes everyday for package delivery, service 
> technician, etc.  If your 'SAG' address differs from 'common 
> use' address, you have to be able to cross reference it, or 
> the customer agrees to use multiple addresses.
> 
> -Marc-